Package org.apache.commons.imaging.formats.tiff.constants

## Class TiffConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.TiffConstants

-     public final class TiffConstants
      extends Object

  Defines constants for internal elements from TIFF files and for allowing applications to define parameters for reading and writing TIFF files.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ByteOrder` | `DEFAULT_TIFF_BYTE_ORDER` |
    `static int` | `TIFF_COMPRESSION_CCITT_1D` |
    `static int` | `TIFF_COMPRESSION_CCITT_GROUP_3` |
    `static int` | `TIFF_COMPRESSION_CCITT_GROUP_4` |
    `static int` | `TIFF_COMPRESSION_DEFLATE_ADOBE` |
    `static int` | `TIFF_COMPRESSION_DEFLATE_PKZIP` |
    `static int` | `TIFF_COMPRESSION_JPEG` |
    `static int` | `TIFF_COMPRESSION_LZW` |
    `static int` | `TIFF_COMPRESSION_PACKBITS` |
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED` |
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED_1` |
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED_2` |
    `static int` | `TIFF_DIRECTORY_FOOTER_LENGTH` |
    `static int` | `TIFF_DIRECTORY_HEADER_LENGTH` |
    `static int` | `TIFF_ENTRY_LENGTH` |
    `static int` | `TIFF_ENTRY_MAX_VALUE_LENGTH` |
    `static int` | `TIFF_FLAG_T4_OPTIONS_2D` |
    `static int` | `TIFF_FLAG_T4_OPTIONS_FILL` |
    `static int` | `TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE` |
    `static int` | `TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE` |
    `static int` | `TIFF_HEADER_SIZE` |
    `static int` | `TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE` | Specifies a larger strip-size to be used for compression.
    `static int` | `TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM` | Specifies a larger strip-size to be used for compression.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIFF_BYTE_ORDER

          public static final ByteOrder DEFAULT_TIFF_BYTE_ORDER

    - #### TIFF_HEADER_SIZE

          public static final int TIFF_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### TIFF_DIRECTORY_HEADER_LENGTH

          public static final int TIFF_DIRECTORY_HEADER_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_DIRECTORY_FOOTER_LENGTH

          public static final int TIFF_DIRECTORY_FOOTER_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_ENTRY_LENGTH

          public static final int TIFF_ENTRY_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_ENTRY_MAX_VALUE_LENGTH

          public static final int TIFF_ENTRY_MAX_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED_1

          public static final int TIFF_COMPRESSION_UNCOMPRESSED_1

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED

          public static final int TIFF_COMPRESSION_UNCOMPRESSED

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_1D

          public static final int TIFF_COMPRESSION_CCITT_1D

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_GROUP_3

          public static final int TIFF_COMPRESSION_CCITT_GROUP_3

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_GROUP_4

          public static final int TIFF_COMPRESSION_CCITT_GROUP_4

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_LZW

          public static final int TIFF_COMPRESSION_LZW

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_JPEG

          public static final int TIFF_COMPRESSION_JPEG

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED_2

          public static final int TIFF_COMPRESSION_UNCOMPRESSED_2

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_PACKBITS

          public static final int TIFF_COMPRESSION_PACKBITS

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_DEFLATE_PKZIP

          public static final int TIFF_COMPRESSION_DEFLATE_PKZIP

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_DEFLATE_ADOBE

          public static final int TIFF_COMPRESSION_DEFLATE_ADOBE

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_2D

          public static final int TIFF_FLAG_T4_OPTIONS_2D

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE

          public static final int TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_FILL

          public static final int TIFF_FLAG_T4_OPTIONS_FILL

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE

          public static final int TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE

      See Also:
        Constant Field Values

    - #### TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM

          public static final int TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM

      Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
      See Also:
        Constant Field Values

    - #### TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE

          public static final int TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE

      Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
      See Also:
        Constant Field Values